Argument
Date: 2007-08-14

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra
Class Argument

    java.lang.Object
      tcra.Argument

    public class Argument

extends java.lang.Object

Argument provides a way to represent an argument to a specification's method.

Nested Class Summary
`static class` | `Argument.MathRep`
`static class` | `Argument.Type`

Constructor Summary
`Argument(java.lang.String name, Argument.Type type, Argument.MathRep rep, MathTypeParser parser)` Class constructor specifying the name, programming type, and formal mathematical type of the argument.

Method Summary
`Argument.MathRep` | `getMathRep()`
`java.lang.String` | `getName()`
`MathTypeParser` | `getParser()`
`Argument.Type` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Argument

    public Argument(java.lang.String name,
                    Argument.Type type,
                    Argument.MathRep rep,
                    MathTypeParser parser)

  Class constructor specifying the name, programming type, and formal mathematical type of the argument.

  Parameters:
    `name` - the name of the argument as would be seen in code
    `type` - the programming type of the argument
    `rep` - formal mathematical representation of the argument

Method Detail

### getName

    public java.lang.String getName()

### getType

    public Argument.Type getType()

### getMathRep

    public Argument.MathRep getMathRep()

### getParser

    public MathTypeParser getParser()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD